//package echo_server;

import java.net.*;
import java.io.*;

public class ConnectionHandler implements Runnable
{
	Socket	socket;

	public	ConnectionHandler( Socket  s )
	{
		this.socket = s;
	}

	public	void	run()
	{
		try
		{
			InputStream	in  = this.socket.getInputStream();
			OutputStream	out = this.socket.getOutputStream();


			int	ch;

			while( (ch = in.read()) != -1 )
			{
				out.write( ch );
			}
		}
		catch( IOException  e )
		{
			e.printStackTrace();

			System.exit( 1 );
		}
		finally
		{
			try
			{
				socket.close();
			}
			catch( IOException  se )
			{
				se.printStackTrace();

				System.exit( 1 );
			}
		}
	}
}
