//package echo_server;

import java.net.*;
import java.io.*;

public class EchoServer
{
	static final public int	DEFAULT_PORT = 5050;

	public	EchoServer()
	{
	}

	void	run()
	{
		try
		{
			ServerSocket	socket;

			socket = new ServerSocket( DEFAULT_PORT );

			for(;;)
			{
				Socket	s = socket.accept();

				Thread	th = new Thread
						( new ConnectionHandler( s ) );

				th.start();
			}
		}
		catch( IOException  e )
		{
			e.printStackTrace();

			System.exit( 1 );
		}
	}


	public static void main( String  argv[] )
	{
		try
		{
			EchoServer	server = new EchoServer();

			server.run();
		}
		catch( Exception  e )
		{
			e.printStackTrace();

			System.exit( 1 );
		}
	}
}
